Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading
Class FluxPhongShader

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.shading.FluxShader
              de.grogra.gpuflux.scene.shading.FluxPhongShader

    public class FluxPhongShader

extends FluxShader

Field Summary
`static ColorMap` | `DEFAULT_AMBIENT`
`static ColorMap` | `DEFAULT_DIFFUSE`
`static ColorMap` | `DEFAULT_DIFFUSE_TRANSPARENCY`
`static ColorMap` | `DEFAULT_EMISSIVE`
`static ColorMap` | `DEFAULT_SHININESS`
`static ColorMap` | `DEFAULT_SPECULAR`
`static ColorMap` | `DEFAULT_TRANSPARENCY`
`static ColorMap` | `DEFAULT_TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.gpuflux.scene.shading.FluxShader
`SHADER_IOR, SHADER_PHONG, SHADER_RGBA, SHADER_SWITCH`

Constructor Summary
`FluxPhongShader(Phong phong, FluxChannelMapBuilder channelBuilder)`

Method Summary
`void` | `serialize(ComputeByteBuffer out)`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_AMBIENT

    public static final ColorMap DEFAULT_AMBIENT

### DEFAULT_DIFFUSE

    public static final ColorMap DEFAULT_DIFFUSE

### DEFAULT_DIFFUSE_TRANSPARENCY

    public static final ColorMap DEFAULT_DIFFUSE_TRANSPARENCY

### DEFAULT_EMISSIVE

    public static final ColorMap DEFAULT_EMISSIVE

### DEFAULT_SHININESS

    public static final ColorMap DEFAULT_SHININESS

### DEFAULT_SPECULAR

    public static final ColorMap DEFAULT_SPECULAR

### DEFAULT_TRANSPARENCY

    public static final ColorMap DEFAULT_TRANSPARENCY

### DEFAULT_TRANSPARENCY_SHININESS

    public static final ColorMap DEFAULT_TRANSPARENCY_SHININESS

Constructor Detail

### FluxPhongShader

    public FluxPhongShader(Phong phong,
                           FluxChannelMapBuilder channelBuilder)

Method Detail

### serialize

    public void serialize(ComputeByteBuffer out)
                   throws java.io.IOException

  Specified by:
    `serialize` in class `FluxObject`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD